Bug 1028963 - Improper errors message when deleting domains which contains applications via rhc.
Improper errors message when deleting domains which contains applications via...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Jordan Liggitt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 06:10 EST by Liang Xia
Modified: 2015-05-14 22:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:29:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Liang Xia 2013-11-11 06:10:43 EST
Description of problem:
When deleting domains which contains applications via rhc, it will show:
Domain contains applications. Delete applications first or set force to true.
Actually, we can not 'set force' via rhc. 

Version-Release number of selected component (if applicable):
devenv_4016
rhc 1.17.2

How reproducible:
always

Steps to Reproduce:
1.Create a domain.
2.Create an app.
3.Delete the domain via rhc.

Actual results:
# rhc domain delete lxia
Deleting domain 'lxia' ... Domain contains applications. Delete applications first or set force to true.

Expected results:
1. Domain contains applications. Delete applications first or delete domain via restapi by setting force to true.
or
2. Provides the options --force

Additional info:
# rhc domain delete --help
Usage: rhc domain-delete <namespace>
Delete a domain
Options
  -n, --namespace NAME      Name of a domain
Global Options
  -l, --rhlogin LOGIN       OpenShift login
  -p, --password PASSWORD   OpenShift password
  --token TOKEN             An authorization token for accessing your account.
  --server NAME             An OpenShift server hostname (default: openshift.redhat.com)
  --timeout SECONDS         The timeout for operations
  See 'rhc help options' for a full list of global options.
Comment 1 Jordan Liggitt 2013-11-11 10:54:35 EST
Added --force option. Will merge in https://github.com/openshift/rhc/pull/504
Comment 2 openshift-github-bot 2013-11-11 12:50:37 EST
Commit pushed to master at https://github.com/openshift/rhc

https://github.com/openshift/rhc/commit/bbcb511e56131008c9c6379e5861f679b6ffd77c
Bug 1028963: Add --force option to delete-domain
Comment 3 Liang Xia 2013-11-11 21:32:51 EST
Verified on devenv_4018.

# rhc domain delete ccc
Deleting domain 'ccc' ... Domain contains applications. Delete applications first or set force to true.
# rhc domain delete ccc --force
Deleting domain 'ccc' ... deleted

# rhc domain-delete --help
Usage: rhc domain-delete <namespace>
Delete a domain
Options
  -f, --force               Force the action
  -n, --namespace NAME      Name of a domain
Global Options
  -l, --rhlogin LOGIN       OpenShift login
  -p, --password PASSWORD   OpenShift password
  --token TOKEN             An authorization token for accessing your account.
  --server NAME             An OpenShift server hostname (default: openshift.redhat.com)
  --timeout SECONDS         The timeout for operations
  See 'rhc help options' for a full list of global options.

Note You need to log in before you can comment on or make changes to this bug.